Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-l1csm-yang-13

From: Italo Busi <[email-masked]>
Date: Wed, 3 Mar 2021 21:01:00 +0000

Hi Tom,

Thanks for your review and comments

We have addressed them in the -14 revision. Please find detailed answers in line below.

Italo/Haomian/Aihua (on behalf of co-authors)

> -----Original Message-----
> From: tom petch [mailto:[email-masked]]
> Sent: giovedì 31 dicembre 2020 13:34
> To: [email-masked]
> Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-l1csm-yang-13
> 
> Some stray thoughts of an Admin nature on this I-D
> 
> I-D has five authors  YANG module has six AD may complain
> 

[Authors] Moved KK Lee to contributor

> YANG import need reference clauses - they used to have them but were
> removed
> 

[Authors] Fixed in -14 version

> YANG contact information is the wrong format and lacks web and list
> references
> 

[Authors] Fixed in -14 version

> l1types must be a Normative reference
> 

[Authors] Fixed in -14 version

> MEF 63 is much referenced in the YANG module but inconsistently sometimes
> just as that sometimes with the title - consistency is good, I prefer the latter
> 

[Authors] Fixed in -14 version

> YANG identity for performance reference MEF 63 - I would have expected an
> ITU-T reference such as G.826 which other I-D use or one of the M. series
> 

[Authors] The PM metrics for L1CSM are defined by MEF 63 but it would be worthwhile reconciling them with ITU-T definitions, which are applicable to other models proposed to CCAMP WG.
	
We are tracking this as an open issue: https://github.com/haomianzheng/IETF-ACTN-YANG-Model/issues/83

> YANG groupings are ...-attribute or .....-attributes consistency is good, I prefer
> the latter
> 

[Authors] Fixed in -14 version

> YANG time-interval - is there a sensible default or worthwhile guidance in the
> description beyond the e.g.?
> 

[Authors] No default value is defined in MEF 63

We think that more work is needed to align the model for L1CSM SLS service attribute with clause 8.2.3 of MEF 63 (e.g., making this attribute mandatory when SLS is required): https://github.com/haomianzheng/IETF-ACTN-YANG-Model/issues/84

> YANG endpoint-1 and endpoint-2 - must they be different id in which case
> YANG can enforce that
> 

[Authors] Fixed in -14 version

> YANG id is a string of unconstrained length and character set; this is what most
> authors do but I wish that YANG had a suitable type for identifiers as SMI has
> 

[Authors] These identifiers are defined as String in MEF 63

> YANG case ITU could do with a reference ideally to ITU-T rather than to l1types
> 

[Authors] The YANG case (itu) is to configure a client-signal, as defined by l1-types, whose definition is derived from ITU-T G.709

> /an unique/a unique/ (English is perverse!)
> 

[Authors] Fixed in -14 version

> YANG description clauses the text should start with a Capital letter
> 

[Authors] Fixed in -14 version

> examples are usually at the end and in an Appendix, which is then by default
> Informative
> 

[Authors] Fixed in -14 version

> HTH
> Tom Petch